ARG BASH_VERSION=5.0

FROM docker-mirror.ravanertebat.ir/base/amd64/bash:$BASH_VERSION

## all below action added to base image @Dockerfile.bash-base
# #ADD ./fastest-mirror.sh /etc/apk/
# #RUN chmod +x /etc/apk/fastest-mirror.sh \
# #    && /etc/apk/fastest-mirror.sh
# RUN apk update
# # RUN apk add --upgrade busybox-suid
# RUN apk --no-cache  add --update busybox-suid \ 
#     && apk --no-cache add curl rsync tzdata tcpdump tree ca-certificates s-nail \
#     && ln -s /usr/bin/mail /usr/bin/s-nail \
#     && mkdir -p /go/bin/media \
#     && mkdir -p /go/bin/log \
#     && mkdir -p /go/bin/config
WORKDIR /go/bin/


## Copy pre-built artifacts from Drone CI build steps
COPY ./artifacts/go/bin/worker .
EXPOSE 8686
# Set the binary.
ENTRYPOINT ["/go/bin/worker"]



